#include <iostream>
using namespace std;
long max(long x, long y)
{
    return x * (x >= y) + y * (y > x);
}
long resi(long x, long y)
{
    if (x == 0 && y == 0)
    {
        return 0;
    }
    else if (x % 10 == y % 10 && x!=0 && y!=0)
    {
        return 100 * resi(x / 10, y / 10) + 11*(x%10);
    }
    else
    {
        return 10 * resi(x / 10, y / 10) + max(x % 10 ,y % 10);
    }
}
long main()
{
    long x, y;
    cin >> x >> y;
    cout << resi(x,y);
    return 0;
}